#include <assert.h>
#include <signal.h>

#include "LunarWM.h"

LunarWM g_wm = {};

void sigint_handler(int) { LunarWM_terminate(&g_wm); }

int main(void)
{
	assert(LunarWM_init(&g_wm));
	signal(SIGINT, sigint_handler);
	LunarWM_run(&g_wm);
	LunarWM_destroy(&g_wm);
}
